package theodolite.commons.workloadgeneration.functions;

import kieker.common.record.IMonitoringRecord;

/**
 * This interface describes a function that takes meta information from a string (e.g. an ID) and
 * produces an {@link IMonitoringRecord}.
 *
 * @param <T> the type of the objects that will be generated by the function.
 */
@FunctionalInterface
public interface MessageGenerator<T extends IMonitoringRecord> {

  T generateMessage(final String key);

}
